

cd "C:\JMCB_Direct_Lenders\"


use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear



drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Data/Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "Data/US_GDP.dta"
	drop if _merge==2
	drop _merge


* define cluster for SEs
egen time=group(L_ClosingDate)
egen issuance_ym=group(L_YearIMonth) /* issuance year x month */
egen issuance_yq=group(L_Iquarter)


gen monetaryshock_pos=1 if MonetaryShock_win>=0
replace monetaryshock_pos=0 if MonetaryShock_win<0
gen MonetaryShock_win_pos = monetaryshock_pos * MonetaryShock_win

gen monetaryshock_neg=1 if MonetaryShock_win<0
replace monetaryshock_neg=0 if MonetaryShock_win>=0
gen MonetaryShock_win_neg = monetaryshock_neg * MonetaryShock_win

gen mp_pos=1 if mp_shock_b2_90_win>=0
replace mp_pos=0 if mp_shock_b2_90_win<0
gen mp_shock_b2_90_win_pos = mp_pos * mp_shock_b2_90_win

gen mp_neg=1 if mp_shock_b2_90_win<0
replace mp_neg=0 if mp_shock_b2_90_win>=0
gen mp_shock_b2_90_win_neg = mp_neg * mp_shock_b2_90_win


gen ns_pos=1 if news_shock_b2_90_win>=0
replace ns_pos=0 if news_shock_b2_90_win<0

gen news_shock_b2_90_win_pos = ns_pos * news_shock_b2_90_win

gen ns_neg=1 if news_shock_b2_90_win<0
replace ns_neg=0 if news_shock_b2_90_win>=0

gen news_shock_b2_90_win_neg = ns_neg * news_shock_b2_90_win



	
cd "Results"


*TABLE 1. BASELINE A*

					
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_30_xs MonetaryShock_win if HighestCapitalBank==1 & L_TermLoan==1 , vce(cluster time)
			
			gen Sample_A=1 if e(sample)

*TABLE 3. BASELINE C*
	

				
	*1.C.3 - - full model* 
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_30_xs mp_shock_b2_90_win_pos mp_shock_b2_90_win_neg news_shock_b2_90_win  if HighestCapitalBank==1   ///
			 & L_TermLoan==1 & Sample_A==1, vce(cluster time)
			*& L_Currency=="U.S. Dollar" & L_TermLoan==1 & Sample_A==1, vce(robust)


				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'


			
				estimates store Model_I
		
				local TypeLoan="TL"
				local Quality="All"
				local FirmControls="X"
				local LoanControls="X"
				local GlobalControls="X"


				
				foreach var in  TypeLoan Quality gof FirmControls LoanControls GlobalControls {
					estadd local `var' ``var'':Model_I
				}
				
				
	*1.C.3 - - full model* 
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_30_xs mp_shock_b2_90_win news_shock_b2_90_win_pos news_shock_b2_90_win_neg  if HighestCapitalBank==1   ///
			 & L_TermLoan==1 & Sample_A==1, vce(cluster time)
			*& L_Currency=="U.S. Dollar" & L_TermLoan==1 & Sample_A==1, vce(robust)


				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'


			
				estimates store Model_II
		
				local TypeLoan="TL"
				local Quality="All"
				local FirmControls="X"
				local LoanControls="X"
				local GlobalControls="X"


				
				foreach var in  TypeLoan Quality gof FirmControls LoanControls GlobalControls {
					estadd local `var' ``var'':Model_II
				}
				
	*1.C.3 - - full model* 
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_30_xs mp_shock_b2_90_win_pos mp_shock_b2_90_win_neg news_shock_b2_90_win_pos news_shock_b2_90_win_neg  if HighestCapitalBank==1   ///
			 & L_TermLoan==1 & Sample_A==1, vce(cluster time)
			*& L_Currency=="U.S. Dollar" & L_TermLoan==1 & Sample_A==1, vce(robust)


				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'


			
				estimates store Model_III
		
				local TypeLoan="TL"
				local Quality="All"
				local FirmControls="X"
				local LoanControls="X"
				local GlobalControls="X"


				
				foreach var in  TypeLoan Quality gof FirmControls LoanControls GlobalControls {
					estadd local `var' ``var'':Model_III
				}

							
				
				*Table I*
				# delimit ;
				esttab Model_I Model_II Model_III  using Table_VII_asymmetries.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Monetary policy decisions and nonbank lending")
				 nodepvars mtitles(I II III IV) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				mp_shock_b2_90_win_pos "Positive pure monetary shock" mp_shock_b2_90_win_neg "Negative pure monetary shock"
				news_shock_b2_90_win "Information shock" news_shock_b2_90_win_pos "Positive information shock" news_shock_b2_90_win_neg "Negative information shock"
				MonetaryShock_win "Monetary policy shock"
				L_OriginalMaturity "Loan maturity" L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_TotalAssets_USbn "Firm assets" Firm_EBITDARatio "Firm EBITDA ratio" Firm_QuickRatio "Firm quick ratio" 
				Firm_LeverageRatio "Firm leverage" Firm_FixedAssetsRatio  "Firm fixed assets ratio"
				Push_InflationExpectation "Inflation expectations" Push_GlobalGDPGrowth "Global GDP growth" lgdp_growth "GDP growth"
				ML_HY_Spread "Merril-Lynch HY spread" SP500_PI_30_xs "S&P 500 return")			
				nogaps drop( _cons UST2y UST2y_90 L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio lgdp_growth ML_HY_Spread SP500_PI_30_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p TypeLoan Quality FirmControls LoanControls GlobalControls, fmt(0 3)
				labels("Observations" "Adjusted R-squared" "Type loan" "Segment" "Firm controls" "Loan controls" "Global controls"))  replace;	
