
	
	

cd "C:\JMCB_Direct_Lenders\"


import excel "Data\MP_news_shocks_Cieslak_Schrimpf_day_split.xlsx", sheet("MP_news_shocks_Cieslak_Schrimpf") firstrow clear

			gen YearIMonth=ym(year,month)
			format YearIMonth %tm
			
			bysort YearIMonth: gen Dup=_n
			keep if Dup==1
			drop Dup
			drop date
			
			keep YearIMonth news_shock_b2_90 news_shock_b2_bank_low_dm_90 mp_shock_b2_90 mp_shock_b2_bank_low_dm_90

	save "Data\MP_news_shocks_Cieslak_Schrimpf_day_split.dta", replace
	


use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital.dta", clear
drop _merge




cd "C:\JMCB_Direct_Lenders\"


use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital.dta", clear

keep LoanDealNumber L_ClosingDate L_Description

save "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_L_Description.dta", replace


use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear

drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Data/Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "Data/US_GDP.dta"
	drop if _merge==2
	drop _merge
	
logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
	Firm_LeverageRatio Firm_FixedAssetsRatio    ///
	lgdp_growth ML_HY_Spread  ///
	UST2y SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1, vce(robust)
			
gen Sample_A=1 if e(sample)

keep if Sample_A==1
	
merge 1:1 LoanDealNumber L_ClosingDate using "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_L_Description.dta"
	drop if _merge==2
	drop _merge


* define cluster for SEs
egen time=group(L_ClosingDate)
egen issuance_ym=group(L_YearIMonth) /* issuance year x month */
egen issuance_yq=group(L_Iquarter)

drop mp_shock_b2_90 news_shock_b2_90 mp_shock_b2_90_win news_shock_b2_90_win MonetaryShock MonetaryShock_win









*drop mp_* news_**

*gen date=L_ClosingDate
merge m:1 YearIMonth using "Data\MP_news_shocks_Cieslak_Schrimpf_day_split.dta" 
	drop if _merge==2
	drop _merge
	
gen MonetaryShock=mp_shock_b2_90+news_shock_b2_90

gen news_shock_b2_bank_H_dm_90=news_shock_b2_90-news_shock_b2_bank_low_dm_90
	rename news_shock_b2_bank_low_dm_90 news_shock_b2_bank_L_dm_90


gen mp_shock_b2_bank_H_dm_90=mp_shock_b2_90 - mp_shock_b2_bank_low_dm_90
	rename mp_shock_b2_bank_low_dm_90 mp_shock_b2_bank_L_dm_90



winsor2 mp_shock_b2_90 news_shock_b2_bank_H_dm_90 news_shock_b2_bank_L_dm_90 news_shock_b2_90 MonetaryShock mp_shock_b2_bank_L_dm_90 mp_shock_b2_bank_H_dm_90,cuts(3 97.5) suffix (_win) //



*replace mp_shock_b2_90_win=mp_shock_b2_90_win/100
	replace mp_shock_b2_bank_H_dm_90_win=mp_shock_b2_bank_H_dm_90_win/100
	replace mp_shock_b2_bank_L_dm_90_win=mp_shock_b2_bank_L_dm_90_win/100


replace news_shock_b2_90_win=news_shock_b2_90_win/100
	replace news_shock_b2_bank_H_dm_90_win=news_shock_b2_bank_H_dm_90_win/100
	replace news_shock_b2_bank_L_dm_90_win=news_shock_b2_bank_L_dm_90_win/100
	
replace MonetaryShock_win=MonetaryShock_win/100


cd "Results"


foreach var in L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
	Firm_FixedAssetsRatio US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win news_shock_b2_bank_H_dm_90_win news_shock_b2_bank_L_dm_90_win mp_shock_b2_bank_H_dm_90_win mp_shock_b2_bank_L_dm_90_win{

	egen s_`var'=std(`var')
	
	rename `var' z_`var'
	
	rename s_`var' `var'

}


*TABLE 1. BASELINE*
*No time dummies*
	*Monetary shocks*
/*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation lgdp_growth ML_HY_Spread  ///
			UST2y SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1 & L_Currency=="U.S. Dollar" & L_TermLoan==1, vce(robust)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_I_1
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality  gof{
					estadd local `var' ``var'':Model_I_1
				}
*/		
				
	*Pure monetary shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win   if HighestCapitalBank==1 & L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_I_2
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_I_2
				}
				

	*Growth shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs news_shock_b2_bank_H_dm_90_win news_shock_b2_90_win  if HighestCapitalBank==1  & L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_I_3
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_I_3
				}
					
	*Pure monetary and Growth shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs  news_shock_b2_bank_H_dm_90_win news_shock_b2_90_win ///
			mp_shock_b2_90_win if HighestCapitalBank==1   ///
			& L_TermLoan==1, vce(robust)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_I_4
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_I_4
				}
				
				
	*Pure monetary and Growth/news shocks with latter split by corporate and financial shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs  news_shock_b2_bank_H_dm_90_win  news_shock_b2_bank_L_dm_90_win  ///
			mp_shock_b2_90_win if HighestCapitalBank==1   ///
			& L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_I_5
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_I_5
				}
				
	
				
				
						
				
			# delimit ; 
			
				esttab Model_I_2 Model_I_3 Model_I_4 Model_I_5  using Table_V_CorporateNewsShocks.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Corporate news shocks")
				 nodepvars mtitles(I II III IV) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock" MonetaryShock_win "Monetary policy shock"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)"
				news_shock_b2_bank_H_dm_90_win "Corporate outlook shock " news_shock_b2_bank_L_dm_90_win "Financial outlook shock" 
				mp_shock_b2_bank_L_dm_90_win "Pure monetary shock - bank high beta" mp_shock_b2_bank_H_dm_90_win "Pure monetary shock - corporate high beta")			
				nogaps drop( _cons UST2y UST2y_90 L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				 lgdp_growth ML_HY_Spread UST2y SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan Quality   , fmt(0 3) labels("Observations" "Adjusted R-squared"  "Type loan" "Segment" ))  replace;	
				
			#delimit cr
				
				
	*MP shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_bank_H_dm_90_win mp_shock_b2_90_win  if HighestCapitalBank==1  & L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_II_3
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_II_3
				}
					
	*Pure monetary and Growth shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs  mp_shock_b2_bank_H_dm_90_win mp_shock_b2_90_win ///
			news_shock_b2_90_win if HighestCapitalBank==1   ///
			& L_TermLoan==1, vce(robust)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_II_4
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_II_4
				}
				
				
	*Pure monetary and Growth/news shocks with latter split by corporate and financial shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs  mp_shock_b2_bank_H_dm_90_win  mp_shock_b2_bank_L_dm_90_win  ///
			news_shock_b2_90_win if HighestCapitalBank==1   ///
			& L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_II_5
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_II_5
				}
				
				
# delimit ; 
			
				esttab Model_I_2 Model_II_3 Model_II_4 Model_II_5  using Table_V_CorporateMPShocks.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Corporate news shocks")
				 nodepvars mtitles(I II III IV) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock" MonetaryShock_win "Monetary policy shock"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)"
				news_shock_b2_bank_H_dm_90_win "Corporate outlook shock " news_shock_b2_bank_L_dm_90_win "Financial outlook shock" 
				mp_shock_b2_bank_L_dm_90_win "Pure monetary shock - bank high beta" mp_shock_b2_bank_H_dm_90_win "Pure monetary shock - corporate high beta")			
				nogaps drop( _cons UST2y UST2y_90 L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				 lgdp_growth ML_HY_Spread UST2y SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan Quality   , fmt(0 3) labels("Observations" "Adjusted R-squared"  "Type loan" "Segment" ))  replace;	
				
			#delimit cr
			
			
				*Pure monetary and Growth/news shocks with both split by corporate and financial shocks*
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs  mp_shock_b2_bank_H_dm_90_win  mp_shock_b2_bank_L_dm_90_win  ///
			news_shock_b2_bank_H_dm_90_win  news_shock_b2_bank_L_dm_90_win if HighestCapitalBank==1   ///
			& L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
				estimates store Model_III_5
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_III_5
				}
				
			# delimit ; 
			
				esttab Model_I_2 Model_II_5 Model_I_5 Model_III_5 using Table_V_MP_CorporateNewsShocks.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Corporate news shocks")
				 nodepvars mtitles(I II III IV) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock" MonetaryShock_win "Monetary policy shock"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)"
				mp_shock_b2_bank_L_dm_90_win "Corporate pure monetary shock" mp_shock_b2_bank_H_dm_90_win "Financial pure monetary shock"
				news_shock_b2_bank_L_dm_90_win "Corporate outlook shock" news_shock_b2_bank_H_dm_90_win "Financial outlook shock ") 
				nogaps drop( _cons UST2y UST2y_90 L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				 lgdp_growth ML_HY_Spread UST2y SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan Quality   , fmt(0 3) labels("Observations" "Adjusted R-squared"  "Type loan" "Segment" ))  replace;	
				
			#delimit cr
