

cd "C:\JMCB_Direct_Lenders\"

import excel "Data\MP_news_shocks_Cieslak_Schrimpf_day_Split.xlsx", sheet("MP_news_shocks_Cieslak_Schrimpf") firstrow clear

			gen YearIMonth=ym(year,month)
			format YearIMonth %tm
			
			bysort YearIMonth: gen Dup=_n
			keep if Dup==1
			drop Dup
			drop date

	save "Data\MP_news_shocks_Cieslak_Schrimpf_day_Split.dta", replace
	

use "Data\Dataset_BanerjeeSerena_RegressionsSmall_FullyUpdate_Capital.dta", clear
	
keep Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread L_YearI

collapse (lastnm) Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread, by(L_YearI)

	tsset L_YearI
	
	gsort L_YearI
	
	gen F1Push_InflationExpectation=Push_InflationExpectation[_n+1]
	
	gen F1Push_GlobalGDPGrowth=Push_GlobalGDPGrowth[_n+1]
	
	gen F1Push_MerrilLynch_Spread=Push_MerrilLynch_Spread[_n+1]

	drop Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread
	
save "Data\MacroLags.dta", replace	
	
	


use "Data\Dataset_BanerjeeSerena_RegressionsSmall_FullyUpdate_Capital.dta", clear


	drop _merge
	merge m:1 L_YearI using "Data\MacroLags.dta"
	
		drop _merge
		
		rename Push_InflationExpectation B_Push_InflationExpectation
		
		rename Push_GlobalGDPGrowth B_Push_GlobalGDPGrowth
		
		rename Push_MerrilLynch_Spread B_Push_MerrilLynch_Spread
		
		rename F1Push_InflationExpectation Push_InflationExpectation
		
		rename F1Push_GlobalGDPGrowth Push_GlobalGDPGrowth
		
		rename F1Push_MerrilLynch_Spread Push_MerrilLynch_Spread


drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Data/Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "Data/US_GDP.dta"
	drop if _merge==2
	drop _merge


* define cluster for SEs
egen time=group(L_ClosingDate)
egen issuance_ym=group(L_YearIMonth) /* issuance year x month */
egen issuance_yq=group(L_Iquarter)



*drop mp_* news_**

drop date
gen date=L_ClosingDate

*drop _merge
merge m:1 YearIMonth using "Data\MP_news_shocks_Cieslak_Schrimpf_day_Split.dta" 
	drop if _merge==2
	drop _merge
	
gen MonetaryShock=mp_shock_b2_90+news_shock_b2_90

gen news_shock_b2_bank_H_dm_90=news_shock_b2_90-news_shock_b2_bank_low_dm_90

rename news_shock_b2_bank_low_dm_90 news_shock_b2_bank_L_dm_90
	
winsor2 mp_shock_b2_90 news_shock_b2_bank_H_dm_90 news_shock_b2_bank_L_dm_90 news_shock_b2_90 MonetaryShock,cuts(2.5 97.5) suffix (_win)


replace mp_shock_b2_90_win=mp_shock_b2_90_win/100
replace news_shock_b2_90_win=news_shock_b2_90_win/100
replace news_shock_b2_bank_H_dm_90_win=news_shock_b2_bank_H_dm_90_win/100
replace news_shock_b2_bank_L_dm_90_win=news_shock_b2_bank_L_dm_90_win/100
replace MonetaryShock_win=MonetaryShock_win/100




tabstat L_PA_IBFS_Tier1RWA_Ratio_R, stats(mean p25 p50 p75 p90)

gen HighCapitalLoan=0 if L_PA_IBFS_Tier1RWA_Ratio_R!=.	

	replace HighCapitalLoan=1 if L_PA_IBFS_Tier1RWA_Ratio_R<=31 & L_PA_IBFS_Tier1RWA_Ratio_R!=.	


*****************************************NSFR sample***********************************
tabstat L_HighestCapital_Liquidity_A_R, stats(mean p25 p50 p75 p90)
	
	
gen LowLiquidity_HighCapitalLoan_A=0 if HighCapitalLoan==0
	replace LowLiquidity_HighCapitalLoan_A=1 if L_HighestCapital_NSFR_R>=13 & L_HighestCapital_NSFR_R!=. & HighCapitalLoan==1	
	replace LowLiquidity_HighCapitalLoan_A=0 if L_HighestCapital_NSFR_R<13 & L_HighestCapital_NSFR_R!=.	 & HighCapitalLoan==1	 

	
gen HighLiquidity_HighCapitalLoan_A=0 if HighCapitalLoan==0
	replace HighLiquidity_HighCapitalLoan_A=1 if L_HighestCapital_NSFR_R<=13 & L_HighestCapital_NSFR_R!=. & HighCapitalLoan==1		 
	replace HighLiquidity_HighCapitalLoan_A=0 if L_HighestCapital_NSFR_R>13 & L_HighestCapital_NSFR_R!=.  & HighCapitalLoan==1	
	
gen MLogitDep_A=0 if HighCapitalLoan==0
		replace MLogitDep_A=1 if LowLiquidity_HighCapitalLoan_A==1 & HighCapitalLoan==1
		replace MLogitDep_A=2 if HighLiquidity_HighCapitalLoan_A==1 & HighCapitalLoan==1


drop if NonBankLoan==1











cd "Results"

foreach var in Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
	Firm_FixedAssetsRatio US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win MonetaryShock_win{

	egen std_`var'=std(`var')
	
	rename `var' zBUp_`var'
	
	rename std_`var' `var'

}	

	
*TABLE 1. BASELINE*
*No time dummies*
	*Monetary shocks*
		logit HighCapitalLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1 & L_Currency=="U.S. Dollar" & L_TermLoan==1, vce(robust)
			
				estat gof
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_I_1
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in Currency TypeLoan Quality YearDummies gof {
					estadd local `var' ``var'':Model_I_1
				}
			
				
	*Pure monetary shocks*
		logit HighCapitalLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win   if HighestCapitalBank==1 & L_Currency=="U.S. Dollar" & L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			
			estimates store Model_I_2
		
				local TypeLoan="TL"
				local Quality="All"

				
				foreach var in Currency TypeLoan Quality YearDummies gof {
					estadd local `var' ``var'':Model_I_2
				}
				

	*Economic news shocks*
		logit HighCapitalLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs news_shock_b2_90_win  if HighestCapitalBank==1 & L_Currency=="U.S. Dollar"1 & L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
				estimates store Model_I_3
		
				local TypeLoan="TL"
				local Quality="ALL"

				
				foreach var in Currency TypeLoan Quality YearDummies gof {
					estadd local `var' ``var'':Model_I_3
				}
					
	*Pure monetary and Economic news shocks*
		logit HighCapitalLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1   ///
			& L_Currency=="U.S. Dollar" & L_TermLoan==1, vce(cluster time)	
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
				estimates store Model_I_4
		
				local TypeLoan="TL"
				local Quality="ALL"

				
				foreach var in Currency TypeLoan Quality YearDummies gof {
					estadd local `var' ``var'':Model_I_4
				}
				
		*Pure monetary and Economic news shocks*
		logit HighCapitalLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1   ///
			& L_Currency=="U.S. Dollar" & L_TermLoan==0, vce(cluster time)	
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
				estimates store Model_I_5
		
				local TypeLoan="CL"
				local Quality="ALL"

				
				foreach var in Currency TypeLoan Quality YearDummies gof {
					estadd local `var' ``var'':Model_I_5
				}		
				
				
				# delimit ;
				esttab Model_I_1 Model_I_2 Model_I_3 Model_I_4 using Tables_VI_BankRWA.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Bank regulatory capital and monetary policy")
				 nodepvars mtitles(I II III IV) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock" MonetaryShock_win "Monetary policy shock"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)"
				news_shock_b2_bank_H_dm_90_win "Corporate news shock" news_shock_b2_bank_L_dm_90_win "Economic news shock - bank high beta")			
				nogaps drop( _cons UST2y UST2y_90 L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				 lgdp_growth ML_HY_Spread SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan , fmt(0 3)
				labels("Observations" "Adjusted R-squared"  "TypeLoan"))  replace;	
				
				
				
			