

cd "C:\JMCB_Direct_Lenders"


use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital.dta", clear

keep LoanDealNumber L_ClosingDate L_Description

save "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_L_Description.dta", replace


*use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital.dta", clear
use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear

drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Data/Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

*winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "Data/US_GDP.dta"
	drop if _merge==2
	drop _merge
	
logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
	Firm_LeverageRatio Firm_FixedAssetsRatio    ///
	lgdp_growth ML_HY_Spread  ///
	UST2y UST2y_90 SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1, vce(robust)
			
gen Sample_A=1 if e(sample)

keep if Sample_A==1
	
merge 1:1 LoanDealNumber L_ClosingDate using "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_L_Description.dta"
	drop if _merge==2
	drop _merge


* define cluster for SEs
egen time=group(L_ClosingDate)
egen issuance_ym=group(L_YearIMonth) /* issuance year x month */
egen issuance_yq=group(L_Iquarter)





cd "Results\"

/*
foreach var in L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
	Firm_FixedAssetsRatio US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win{

	egen std_`var'=std(`var')
	
	rename `var' zBUp_`var'
	
	rename std_`var' `var'

}	
*/

# delimit cr
				
*TABLE 3. ROBUSTNESS CHECKS + TIME DUMMIES*
* Time dummies*						
	*USD term loans*
	

/*	
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread  ///
			 US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win    if HighestCapitalBank==1 & L_Currency=="U.S. Dollar" & L_TermLoan==1, vce(robust)
*/
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 , vce(cluster time)
			 
 				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_III_1
		
				local TypeLoan="TL"
				local Quality="All"
				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_III_1
				}
			
				
	*USD credit lines loans*
/*		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread  ///
			 US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_Currency=="U.S. Dollar" & L_TermLoan==0 , vce(robust)
*/
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==0 , vce(cluster time)
			 
 				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_III_2
		
				local TypeLoan="CL"
				local Quality="All"

				
				foreach var in TypeLoan Quality gof {
					estadd local `var' ``var'':Model_III_2
				}
				
				

	*USD term loans, IG*
	
	gen IG_Loan=1 if L_InvestmentGrade==1
		replace IG_Loan=1 if L_NearInvestmentGrade==1
	
/*		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread  ///
			 US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_Currency=="U.S. Dollar" & L_TermLoan==1 & IG_Loan==1, vce(robust)
*/
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 & IG_Loan==1, vce(cluster time)
			
/*		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 & L_InvestmentGrade==1, vce(cluster time)
*/			
 				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
				estimates store Model_III_3
		
				local TypeLoan="TL"
				local Quality="IG"

				
				foreach var in TypeLoan Quality gof {
					estadd local `var' ``var'':Model_III_3
				}
					
	*USD term loans, leveraged*
/*		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread  ///
			 US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1   ///
			& L_Currency=="U.S. Dollar" & L_TermLoan==1 & L_InvestmentGrade!=1 & L_NearInvestmentGrade!=1, vce(robust)
*/
/*		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 & L_InvestmentGrade!=1 & L_NearInvestmentGrade!=1, vce(cluster time)
*/			
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 & L_InvestmentGrade!=1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
				estimates store Model_III_4
		
				local TypeLoan="TL"
				local Quality="L{e}v"

				
				foreach var in Currency TypeLoan Quality YearDummies gof{
					estadd local `var' ``var'':Model_III_4
				}
				
				
	* Test is IG loans are significantly different from leveraged ones.
	gen mp_shock_b2_90_win_IG= mp_shock_b2_90_win * L_InvestmentGrade
	gen news_shock_b2_90_win_IG= news_shock_b2_90_win * L_InvestmentGrade

		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win mp_shock_b2_90_win_IG news_shock_b2_90_win_IG if HighestCapitalBank==1 & L_TermLoan==1, vce(cluster time)
			
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
				estimates store Model_III_4_IG_Lev
		
				local TypeLoan="TL"
				local Quality="L{e}v"

				
				foreach var in Currency TypeLoan Quality YearDummies gof{
					estadd local `var' ``var'':Model_III_4_IG_Lev
				}
	
	* Cash-flow loans*
	
		gen CashFlowLoans=1 if L_TermLoan==1
				replace CashFlowLoans=0 if L_Description=="Second-Lien Term Loan"
				replace CashFlowLoans=0 if L_Description=="Project Financing"
				replace CashFlowLoans=0 if L_Description=="Acquisition Financing"
				replace CashFlowLoans=0 if L_Description=="Capital Expenditure Facility"
				
/*		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation Push_GlobalGDPGrowth Push_MerrilLynch_Spread  ///
			US2YrMarket mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1   ///
			& L_Currency=="U.S. Dollar" & L_TermLoan==1 & CashFlowLoans==1, vce(robust)
*/
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 & CashFlowLoans==1, vce(cluster time)
				
					estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'


			
				estimates store Model_I_5
		
				local TypeLoan="TL-CashFlow"
				local Quality="All"

				
				foreach var in  TypeLoan Quality gof {
					estadd local `var' ``var'':Model_I_5
				}
							

				*esttab Model_III_1 Model_III_4 Model_III_3   Model_III_2 Model_I_5  using Tables_II_CreditMarketSegment.tex, label collabels(none) substitute(\_ _ panel ) 
				# delimit ;
				esttab Model_III_1 Model_III_4 Model_III_3   Model_III_2  using Tables_II_CreditMarketSegment.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Credit segment")
				 nodepvars mtitles(I II III IV V) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" UST2y_90 "$\Delta$ 2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock"
				mp_shock_b2_90_win_IG "Pure monetary shock X IG"
				news_shock_b2_90_win_IG "Information shock X IG"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)" 
				news_shock_b2_bank_H_dm_90_win "Corporate news shock " news_shock_b2_bank_L_dm_90_win "Economic news shock - bank high beta"
				mp_shock_b2_bank_L_dm_90_win "Pure monetary shock - bank high beta" mp_shock_b2_bank_H_dm_90_win "Pure monetary shock - corporate high beta")			
				nogaps drop( _cons L_OriginalMaturity UST2y UST2y_90 L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				lgdp_growth ML_HY_Spread SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan Quality  , fmt(0 3)
				labels("Observations" "Adjusted R-squared"  "TypeLoan" "Quality"))  replace;	
				

				esttab Model_III_4 Model_III_3 Model_III_4_IG_Lev  using Tables_II_CreditMarketSegment_IG_Lev.tex, label collabels(none) substitute(\_ _ panel ) 
				title("Credit segment")
				 nodepvars mtitles(I II III IV V) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" UST2y_90 "$\Delta$ 2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock"
				mp_shock_b2_90_win_IG "Pure monetary shock X IG"
				news_shock_b2_90_win_IG "Information shock X IG"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)" 
				news_shock_b2_bank_H_dm_90_win "Corporate news shock " news_shock_b2_bank_L_dm_90_win "Economic news shock - bank high beta"
				mp_shock_b2_bank_L_dm_90_win "Pure monetary shock - bank high beta" mp_shock_b2_bank_H_dm_90_win "Pure monetary shock - corporate high beta")			
				nogaps drop( _cons L_OriginalMaturity UST2y UST2y_90 L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				lgdp_growth ML_HY_Spread SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan Quality  , fmt(0 3)
				labels("Observations" "Adjusted R-squared"  "TypeLoan" "Quality"))  replace;
				
				

