

cd "C:\JMCB_Direct_Lenders\"


		
use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear

bysort LoanDealNumber: gen dup = _n
keep if dup == 1
drop dup

merge 1:1 LoanDealNumber using "Data\Dataset_BanerjeeSerena_RegressionsSmall_FullyUpdate_Capital_DLsectorDummy.dta"
drop _merge
		
drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Data/Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

*winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "Data/US_GDP.dta"
	drop if _merge==2
	drop _merge


* define cluster for SEs
egen time=group(L_ClosingDate)
egen issuance_ym=group(L_YearIMonth) /* issuance year x month */
egen issuance_yq=group(L_Iquarter)



** Classify types of DL loans by DL types

* Insurance companies
gen NonBankLoan_I_PF=1 if NonBankLoan==1 & DL_InsuranceCompanies==1
replace NonBankLoan_I_PF=0 if NonBankLoan==0

gen NonBankLoan_NonI_PF=1 if NonBankLoan==1 & DL_InsuranceCompanies==0
replace NonBankLoan_NonI_PF=0 if NonBankLoan==0

* FundsTrusts - Closed end funds / BDCs
gen NonBankLoan_I_FT=1 if NonBankLoan==1 & DL_FundsTrusts==1
replace NonBankLoan_I_FT=0 if NonBankLoan==0

gen NonBankLoan_NonI_FT=1 if NonBankLoan==1 & DL_FundsTrusts==0
replace NonBankLoan_NonI_FT=0 if NonBankLoan==0

* SecurityCommodityContracts - Specialised financial entities
gen NonBankLoan_I_SC=1 if NonBankLoan==1 & DL_SecurityCommodityContracts==1
replace NonBankLoan_I_SC=0 if NonBankLoan==0

gen NonBankLoan_NonI_SC=1 if NonBankLoan==1 & DL_SecurityCommodityContracts==0
replace NonBankLoan_NonI_SC=0 if NonBankLoan==0

* MachineryManufacturing - Non-financial firms
gen NonBankLoan_I_MM=1 if NonBankLoan==1 & DL_MachineryManufacturing==1
replace NonBankLoan_I_MM=0 if NonBankLoan==0

gen NonBankLoan_NonI_MM=1 if NonBankLoan==1 & DL_MachineryManufacturing==0
replace NonBankLoan_NonI_MM=0 if NonBankLoan==0

* CreditIntermediaries= - Non-financial firms
gen NonBankLoan_I_CI=1 if NonBankLoan==1 & DL_CreditIntermediaries==1
replace NonBankLoan_I_CI=0 if NonBankLoan==0

gen NonBankLoan_NonI_CI=1 if NonBankLoan==1 & DL_CreditIntermediaries==0
replace NonBankLoan_NonI_CI=0 if NonBankLoan==0


save "Data/Dataset_BanerjeeSerena_RegressionsSmall_FullyUpdate_Capital_DLsectorDummy_data.dta", replace


# delimit cr


* Sample of baseline regression

		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 , vce(cluster time)

* New Baseline - which version of S&P 500 to include? Trailing 30 day excess return or trailing 90 day excess return
					
		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1 & L_TermLoan==1 , vce(cluster time)
			
			gen Sample_A=1 if e(sample)
			
* Check the pure MP shock	
		logit NonBankLoan L_OriginalMaturity L_Amount UST2y  mp_shock_b2_90_win   if HighestCapitalBank==1 & L_TermLoan==1 & Sample_A==1, vce(cluster time)

				
*TABLE V. Different types of Direct lenders
* Baseline regression

		logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win if HighestCapitalBank==1 & L_TermLoan==1 & Sample_A==1, vce(robust)
				
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			 
			
			estimates store Model_III_1
		
				local TypeDirectLender="ALL"
				local TypeLoan="TL"
				local RoleDeal="ALL"
				

				
				foreach var in TypeLoan TypeDirectLender RoleDeal gof {
					estadd local `var' ``var'':Model_III_1
				}

* Insurance companies
		logit NonBankLoan_I_PF L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_IPF_2
		
				local TypeDirectLender="IC/PF"
				local TypeLoan="TL"
				local RoleDeal="ALL"
				local Leverage=1.42


				
				foreach var in TypeLoan TypeDirectLender RoleDeal Leverage gof{
					estadd local `var' ``var'':Model_IPF_2
				}			
			
		logit NonBankLoan_NonI_PF L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_IPF_3
		
				local TypeDirectLender="Other"
				local TypeLoan="TL"
				local RoleDeal="ALL"


				
				foreach var in TypeLoan TypeDirectLender RoleDeal gof{
					estadd local `var' ``var'':Model_IPF_3
				}
				

				
* FundsTrusts
		logit NonBankLoan_I_FT L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_FT_2
		
				local TypeDirectLender="FT"
				local TypeLoan="TL"
				local RoleDeal="ALL"
				local Leverage=0.79


				
				foreach var in TypeLoan TypeDirectLender RoleDeal Leverage gof{
					estadd local `var' ``var'':Model_FT_2
				}			
			
		logit NonBankLoan_NonI_FT L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_FT_3
		
				local TypeDirectLender="Other"
				local TypeLoan="TL"
				local RoleDeal="ALL"


				
				foreach var in TypeLoan TypeDirectLender RoleDeal gof{
					estadd local `var' ``var'':Model_FT_3
				}
				
* SecurityCommodityContracts
		logit NonBankLoan_I_SC L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_SC_2
		
				local TypeDirectLender="SCC"
				local TypeLoan="TL"
				local RoleDeal="ALL"
				local Leverage=2.34


				
				foreach var in TypeLoan TypeDirectLender RoleDeal Leverage gof{
					estadd local `var' ``var'':Model_SC_2
				}			
			
		logit NonBankLoan_NonI_SC L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_SC_3
		
				local TypeDirectLender="Other"
				local TypeLoan="TL"
				local RoleDeal="ALL"


				
				foreach var in TypeLoan TypeDirectLender RoleDeal gof{
					estadd local `var' ``var'':Model_SC_3
				}

* MachineryManufacturing
		logit NonBankLoan_I_MM L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_MM_2
		
				local TypeDirectLender="Non-Fin"
				local TypeLoan="TL"
				local RoleDeal="ALL"
				local Leverage=1.26


				
				foreach var in TypeLoan TypeDirectLender RoleDeal Leverage gof{
					estadd local `var' ``var'':Model_MM_2
				}			
			
		logit NonBankLoan_NonI_MM L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_MM_3
		
				local TypeDirectLender="Other"
				local TypeLoan="TL"
				local RoleDeal="ALL"


				
				foreach var in TypeLoan TypeDirectLender RoleDeal gof{
					estadd local `var' ``var'':Model_MM_3
				}
	
* CreditIntermediaries
		logit NonBankLoan_I_CI L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_CI_2
		
				local TypeDirectLender="CI"
				local TypeLoan="TL"
				local RoleDeal="ALL"
				local Leverage=3.56


				
				foreach var in TypeLoan TypeDirectLender RoleDeal Leverage gof{
					estadd local `var' ``var'':Model_CI_2
				}			
			
		logit NonBankLoan_NonI_CI L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			 
				estat gof, group(100)
				
				local gof=`r(p)'
				local gof: di %3.2f `gof'
			
			estimates store Model_CI_3
		
				local TypeDirectLender="Other"
				local TypeLoan="TL"
				local RoleDeal="ALL"


				
				foreach var in TypeLoan TypeDirectLender RoleDeal gof{
					estadd local `var' ``var'':Model_CI_3
				}
				
				# delimit ;
				esttab  Model_FT_2 Model_IPF_2 Model_MM_2 Model_SC_2 Model_CI_2   using "Results\Tables_V_TypeDirectLender.tex", label collabels(none) substitute(\_ _ panel ) 
				title("Type of direct lender")
				 nodepvars mtitles(I II III IV V) nonumbers star(* 0.10 ** 0.05 *** 0.01)
				fragment  alignment(S) eqlabels(none) varlabels(
				FedTarget "Fed target rate" NonBankLoan "Non-bank loan" UST2y "2 year interest rates" mp_shock_b2_90_win "Pure monetary shock"
				news_shock_b2_90_win "Information shock"
				L_Amount "Loan amount" L_OriginalMaturity "Loan maturity" L_NumberLenders "Number lenders"
				Firm_logAssets "Firm assets (log 1 year lag)" Firm_l1FixedAssetsRatio "Firm fixed assets ratio (1 year lag)" 
				Firm_l1LeverageRatio "Firm leverage (1 year lag)" Firm_AltmanComposite  "Firm Altman score 1 year lag)" 
				news_shock_b2_bank_H_dm_90_win "Corporate news shock " news_shock_b2_bank_L_dm_90_win "Economic news shock - bank high beta"
				mp_shock_b2_bank_L_dm_90_win "Pure monetary shock - bank high beta" mp_shock_b2_bank_H_dm_90_win "Pure monetary shock - corporate high beta")			
				nogaps drop( _cons UST2y UST2y_90 L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio   
				 lgdp_growth ML_HY_Spread  ///
			UST2y SP500_PI_90_xs) cells(b(fmt(3) star) se(par fmt(2)))
				stats(N r2_p  TypeLoan TypeDirectLender RoleDeal Leverage, fmt(0 3)
				labels("Observations" "Adjusted R-squared" "Type loan" "Type direct lender" "Role deal" "Leverage"))  replace;	

				
* Original regression
		logit NonBankLoan_I_PF L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 Push_GlobalGDPGrowth Push_MerrilLynch_Spread  ///
			 news_shock_b2_90_win mp_shock_b2_90_win  US2YrMarket if HighestCapitalBank==1 & L_TermLoan==1, vce(robust)
			 
			 
* 				esttab Model_III_1  Model_IPF_2 Model_IPF_3 Model_FT_2 Model_FT_3 Model_SC_2 Model_SC_3 Model_MM_2 Model_MM_3 Model_CI_2 			 
* nodepvars mtitles(I IIa IIb IIIa IIIb IVa IVb Va Vb VIa VIb) nonumbers star(* 0.10 ** 0.05 *** 0.01)



*****************************************************
* Economic effect by type of DL
*****************************************************

*FundsTrusts

		logit NonBankLoan_I_FT L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			Push_InflationExpectation lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			
summarize mp_shock_b2_90_win
margins, dydx(mp_shock_b2_90_win) atmeans



summarize news_shock_b2_90_win
margins, dydx(news_shock_b2_90_win) atmeans


* Hand rolled margins - can change the delta so can do something like moving from the 25 to 75 percentile of shocks
preserve
qui logit NonBankLoan_I_FT L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
	replace mp_shock_b2_90_win = mp_shock_b2_90_win - 1
	predict double NonBankLoan_0 if e(sample)
	replace mp_shock_b2_90_win = mp_shock_b2_90_win + 2
	predict double NonBankLoan_1 if e(sample)
	gen double dydx = (NonBankLoan_1-NonBankLoan_0)
	sum dydx
restore


* Hand rolled margins - can change the delta
preserve
qui logit NonBankLoan_I_FT L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
	replace news_shock_b2_90_win = news_shock_b2_90_win - 1
	predict double NonBankLoan_0 if e(sample)
	replace news_shock_b2_90_win = news_shock_b2_90_win + 2
	predict double NonBankLoan_1 if e(sample)
	gen double dydx = (NonBankLoan_1-NonBankLoan_0)
	sum dydx
restore



*CreditIntermediaries

		logit NonBankLoan_I_CI L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
			Firm_LeverageRatio Firm_FixedAssetsRatio    ///
			 lgdp_growth ML_HY_Spread  ///
			UST2y UST2y_90 SP500_PI_90_xs mp_shock_b2_90_win news_shock_b2_90_win  if HighestCapitalBank==1 &  L_TermLoan==1 & Sample_A==1, vce(cluster time)
			
summarize mp_shock_b2_90_win
margins, dydx(mp_shock_b2_90_win) atmeans




summarize news_shock_b2_90_win
margins, dydx(news_shock_b2_90_win) atmeans
						