
* Part 1: Firms
cd "C:/JMCB_Direct_Lenders/"
	


use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital.dta", clear

keep LoanDealNumber L_ClosingDate L_OriginalMaturity L_Amount Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio

save "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_NonStandardisedSummaryVars.dta", replace



	use "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear // missing TermLoan_A and _B

* Vars for regression dataset
drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Data\Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "Data\US_GDP.dta"
	drop if _merge==2
	drop _merge
	


	
logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
	Firm_LeverageRatio Firm_FixedAssetsRatio    ///
	lgdp_growth ML_HY_Spread  ///
	UST2y SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1, vce(robust)
			
gen Sample_A=1 if e(sample)

keep if Sample_A==1

* Drop reg sample standardised variables
drop L_OriginalMaturity L_Amount Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio

merge 1:1 LoanDealNumber L_ClosingDate using "Data\Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_NonStandardisedSummaryVars.dta"
	drop if _merge==2
	drop _merge


	replace Firm_TotalAssets=Firm_TotalAssets /1000000 

	foreach var in Firm_EBITDARatio        Firm_QuickRatio     Firm_LeverageRatio  Firm_FixedAssetsRatio {
		
		replace `var'=`var'*100

	}

	winsor2 Firm_TotalAssets, cuts(2.5 97.5) replace

	cd "C:\JMCB_Direct_Lenders\Results"

	**************************
	tabstat Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
		Firm_FixedAssetsRatio, s(mean p25 median p75) save format(%3.2f)
		*Firm_FixedAssetsRatio  if L_Currency=="U.S. Dollar", s(mean p25 median p75) save format(%3.2f)
	tabstatmat Dataset_Sample
	matrix Dataset_Sample=Dataset_Sample'
	
	mat coln Dataset_Sample = m{e}an p25 p50 p75
	
	esttab matrix(Dataset_Sample, fmt(0 1 1 1 )) using Dataset_FullSampleBorrowers.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(Firm_TotalAssets "Total assets" Firm_EBITDARatio "EBITDA ratio" Firm_QuickRatio "Quick ratio" Firm_LeverageRatio /// 
		"Leverage ratio" Firm_FixedAssetsRatio "Fixed assets ratio") replace 
	**************************


	************************** Used in paper
	tabstat Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
		Firm_FixedAssetsRatio if NonBankLoan==1, s(mean p25 median p75) save format(%3.2f)
		*Firm_FixedAssetsRatio if NonBankLoan==1 & L_Currency=="U.S. Dollar", s(mean p25 median p75 count) save format(%3.2f)
	tabstatmat Dataset_Sample
	matrix Dataset_Sample=Dataset_Sample'
	
	mat coln Dataset_Sample = m{e}an p25 p50 p75
	
	esttab matrix(Dataset_Sample, fmt(0 1 1 1 )) using Dataset_Sample_NonBankBorrowers.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(Firm_TotalAssets "Total assets" Firm_EBITDARatio "EBITDA ratio" Firm_QuickRatio "Quick ratio" Firm_LeverageRatio /// 
		"Leverage ratio" Firm_FixedAssetsRatio "Fixed assets ratio") replace 

	************************** Used in paper
	tabstat Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
		Firm_FixedAssetsRatio if NonBankLoan==0, s(mean p25 median p75) save format(%3.2f)
		*Firm_FixedAssetsRatio if NonBankLoan==0 & L_Currency=="U.S. Dollar", s(mean p25 median p75 count) save format(%3.2f)
	tabstatmat Dataset_Sample
	matrix Dataset_Sample=Dataset_Sample'
	
	mat coln Dataset_Sample = m{e}an p25 p50 p75 
	
	esttab matrix(Dataset_Sample, fmt(0 1 1 1 )) using Dataset_Sample_BankBorrowers.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(Firm_TotalAssets "Total assets" Firm_EBITDARatio "EBITDA ratio" Firm_QuickRatio "Quick ratio" Firm_LeverageRatio /// 
		"Leverage ratio" Firm_FixedAssetsRatio "Fixed assets ratio") replace 

		
	************************** New for paper - TL sample
	tabstat Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
		Firm_FixedAssetsRatio if NonBankLoan==1 & L_TermLoan==1 , s(mean p25 median p75) save format(%3.2f)
		*Firm_FixedAssetsRatio if NonBankLoan==1 & L_Currency=="U.S. Dollar", s(mean p25 median p75 count) save format(%3.2f)
	tabstatmat Dataset_Sample
	matrix Dataset_Sample=Dataset_Sample'
	
	mat coln Dataset_Sample = m{e}an p25 p50 p75 
	
	esttab matrix(Dataset_Sample, fmt(0 1 1 1 )) using Dataset_Sample_NonBankBorrowers_TLSample.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(Firm_TotalAssets "Total assets" Firm_EBITDARatio "EBITDA ratio" Firm_QuickRatio "Quick ratio" Firm_LeverageRatio /// 
		"Leverage ratio" Firm_FixedAssetsRatio "Fixed assets ratio") replace 

	************************** New for paper - TL sample
	tabstat Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
		Firm_FixedAssetsRatio if NonBankLoan==0 & L_TermLoan==1, s(mean p25 median p75) save format(%3.2f)
		*Firm_FixedAssetsRatio if NonBankLoan==0 & L_Currency=="U.S. Dollar", s(mean p25 median p75 count) save format(%3.2f)
	tabstatmat Dataset_Sample
	matrix Dataset_Sample=Dataset_Sample'
	
	mat coln Dataset_Sample = m{e}an p25 p50 p75
	
	esttab matrix(Dataset_Sample, fmt(0 1 1 1 )) using Dataset_Sample_BankBorrowers_TLSample.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(Firm_TotalAssets "Total assets" Firm_EBITDARatio "EBITDA ratio" Firm_QuickRatio "Quick ratio" Firm_LeverageRatio /// 
		"Leverage ratio" Firm_FixedAssetsRatio "Fixed assets ratio") replace 
		
		
		
		

		
	*Median tests*
	median Firm_TotalAssets, by(NonBankLoan)
	median Firm_EBITDARatio, by(NonBankLoan)
	median Firm_QuickRatio, by(NonBankLoan)
	median Firm_LeverageRatio, by(NonBankLoan)
	median Firm_FixedAssetsRatio, by(NonBankLoan)

		
	*I. 2. FULL SAMPLE*
	use "C:/JMCB_Direct_Lenders/Data/firm_level_dataset_F.dta", clear


		foreach var in TotalAssets TotalDebt EBIT EBITDA cash capex employees RandD PPEGross tangiblebookvalue interestexpense ///
		staffcosts TotalRevenue TotalLiabilities STDebt LTDebt retainedEarnings WorkingCapital CommonEquity ///
		AccountsReceivable Inventory GrossProfit SGaA QuickRatio CostofRevenues Date_MV CompanyMarketCap ///
		ZScore_Mfg_Weights IssuerRating_first RatingDate_first IssuerRating foundingYear source incorporationDate {

			gen Firm_`var'=`var'
			drop `var'
		}
		
		gen Firm_PriceToBook=Firm_CompanyMarketCap/ Firm_tangiblebookvalue
		
		gen Firm_FixedAssetsRatio=Firm_PPEGross/Firm_TotalAssets
		
		gen Firm_LeverageRatio=(Firm_STDebt + Firm_LTDebt)/Firm_TotalAssets
		
		gen Firm_EBITDARatio=(Firm_EBITDA)/Firm_TotalAssets	
		
	replace Firm_TotalAssets=Firm_TotalAssets /1000000

		*Winsorize*
		foreach var in Firm_TotalAssets Firm_PriceToBook Firm_FixedAssetsRatio Firm_LeverageRatio Firm_QuickRatio Firm_EBITDARatio {
			winsor2 `var', cuts (2.5 97.5) replace
		}
		 

	foreach var in Firm_EBITDARatio        Firm_QuickRatio     Firm_LeverageRatio  Firm_FixedAssetsRatio {
		
		replace `var'=`var'*100

	}

	cd "C:\JMCB_Direct_Lenders\Results"
	
		
		
	**************************
	tabstat Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio /// 
		Firm_FixedAssetsRatio, s(mean p25 median p75) save format(%3.2f)
	tabstatmat EikonData
	matrix EikonData=EikonData'
	
	mat coln EikonData = m{e}an p25 p50 p75

	
	esttab matrix(EikonData, fmt(0 1 1 1 )) using Dataset_EikonSample.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(Firm_TotalAssets "Total assets" Firm_EBITDARatio "EBITDA ratio" Firm_QuickRatio "Quick ratio" Firm_LeverageRatio /// 
		"Leverage ratio" Firm_FixedAssetsRatio "Fixed assets ratio") replace 


*PART II. LOANS*
cd "C:\JMCB_Direct_Lenders\Data"

*II.1. TERMS AND CONDITIONS*


use "Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear // missing TermLoan_A and _B

* Vars for regression dataset
drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "US_GDP.dta"
	drop if _merge==2
	drop _merge
	
	
bysort LoanDealNumber: gen dup = _n
keep if dup == 1
drop dup

	
* Merge in data on number of DLs and Banks in a loan
*merge 1:1 LoanDealNumber using "Dataset_BanerjeeSerena_Count_Bank_DLs_inLoans.dta"

	
logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
	Firm_LeverageRatio Firm_FixedAssetsRatio    ///
	lgdp_growth ML_HY_Spread  ///
	UST2y SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1, vce(robust)
			
gen Sample_A=1 if e(sample)

keep if Sample_A==1

* Drop reg sample standardised variables
drop L_OriginalMaturity L_Amount Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio

merge 1:1 LoanDealNumber L_ClosingDate using "Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_NonStandardisedSummaryVars.dta"
	drop if _merge==2
	drop _merge
	

	cd "C:\JMCB_Direct_Lenders\Results"

	*gen DollarLoan=1 if L_Currency=="U.S. Dollar"
	
	*keep if DollarLoan==1
	
	keep if Firm_TotalAssets!=.
	
	gen LoanAmount_USmn=1000*exp(L_Amount)

	

	**************************
	tabstat L_OriginalMaturity LoanAmount_USmn L_InitialPricing, s(mean p25 median p75) save format(%3.2f)
	tabstatmat Eikon
	esttab matrix(Eikon, fmt(0 1 1 1 )) using Dataset_Loans.tex, replace
		
	************************** _Used in paper
	tabstat L_OriginalMaturity LoanAmount_USmn L_InitialPricing if NonBankLoan==1, s(mean p25 median p75) save format(%3.2f)
	tabstatmat NonBankLoans
	matrix NonBankLoans=NonBankLoans'
	
	mat coln NonBankLoans = m{e}an p25 p50 p75
	
	esttab matrix(NonBankLoans, fmt(0 1 1 1)) using Dataset_Loans_DirectLender.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(L_OriginalMaturity "Maturity" LoanAmount_USmn "Amount" L_InitialPricing "Spread") replace 

	************************** Used in paper
	tabstat L_OriginalMaturity LoanAmount_USmn L_InitialPricing if NonBankLoan==0, s(mean p25 median p75) save format(%3.2f)
	tabstatmat BankLoans
	matrix BankLoans=BankLoans'
	
	mat coln BankLoans = m{e}an p25 p50 p75
	
	esttab matrix(BankLoans, fmt(0 1 1 1 )) using Dataset_Loans_Bank.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(L_OriginalMaturity "Maturity" LoanAmount_USmn "Amount" L_InitialPricing "Spread") replace 
 
 
 	************************** New in paper - TL sample
	tabstat L_OriginalMaturity LoanAmount_USmn L_InitialPricing if NonBankLoan==1 & L_TermLoan==1, s(mean p25 median p75 ) save format(%3.2f)
	tabstatmat NonBankLoans
	matrix NonBankLoans=NonBankLoans'
	
	mat coln NonBankLoans = m{e}an p25 p50 p75 
	
	esttab matrix(NonBankLoans, fmt(0 1 1 1)) using Dataset_Loans_DirectLender_TLSample.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(L_OriginalMaturity "Maturity" LoanAmount_USmn "Amount" L_InitialPricing "Spread") replace 

	************************** New in paper - TL sample
	tabstat L_OriginalMaturity LoanAmount_USmn L_InitialPricing if NonBankLoan==0 & L_TermLoan==1, s(mean p25 median p75 ) save format(%3.2f)
	tabstatmat BankLoans
	matrix BankLoans=BankLoans'
	
	mat coln BankLoans = m{e}an p25 p50 p75 //count
	
	esttab matrix(BankLoans, fmt(0 1 1 1)) using Dataset_Loans_Bank_TLSample.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S)  /// 
		varlabels(L_OriginalMaturity "Maturity" LoanAmount_USmn "Amount" L_InitialPricing "Spread") replace 
 
 
	*Median tests*
	median L_OriginalMaturity, by(NonBankLoan)
	median LoanAmount_USmn, by(NonBankLoan)
	median L_InitialPricing, by(NonBankLoan)

	
 
*II.2. COUNT*
 
cd "C:\JMCB_Direct_Lenders\Data"

*use Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital.dta, clear
use "Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_Compressed_FINAL.dta", clear // missing TermLoan_A and _B

* Vars for regression dataset
drop year month day

gen year=year(L_ClosingDate)
gen month=month(L_ClosingDate)
gen day=day(L_ClosingDate)

merge m:1 year month day using "Stock_returns_30_60_90_UST2y_MLHYSpreads.dta"
	drop if _merge==2
	drop _merge

winsor2 SP500_PI_90_xs ,cuts(2.5 97.5) 

merge m:1 year QuarterI using "US_GDP.dta"
	drop if _merge==2
	drop _merge
	
logit NonBankLoan L_OriginalMaturity L_Amount Firm_TotalAssets_USbn Firm_EBITDARatio Firm_QuickRatio ///
	Firm_LeverageRatio Firm_FixedAssetsRatio    ///
	lgdp_growth ML_HY_Spread  ///
	UST2y SP500_PI_90_xs MonetaryShock_win if HighestCapitalBank==1, vce(robust)
			
gen Sample_A=1 if e(sample)

keep if Sample_A==1

* Drop reg sample standardised variables
drop L_OriginalMaturity L_Amount Firm_TotalAssets Firm_EBITDARatio Firm_QuickRatio Firm_LeverageRatio Firm_FixedAssetsRatio

merge 1:1 LoanDealNumber L_ClosingDate using "Dataset_BanerjeeSerena_RegressionsSmAll_FullyUpdate_Capital_NonStandardisedSummaryVars.dta"
	drop if _merge==2
	drop _merge
	

	cd "C:\JMCB_Direct_Lenders\Results"
	
/*	
replace L_TermLoan_B=0 if L_Description=="Term Loan"

replace L_TermLoan_A=1 if L_Description=="Term Loan"
*/

*drop LeveragedLoan BankLoan
drop LeveragedLoan

gen LeveragedLoan=1 if L_HighLeveraged==1
	replace LeveragedLoan=1 if L_Leveraged==1

gen InvestmentGrade=1 if L_InvestmentGrade==1
	replace InvestmentGrade=1 if L_NearInvestmentGrade==1
	
*gen DollarLoan=1 if L_Currency=="U.S. Dollar"

*gen NonDollarLoan=1 if 	L_Currency!="U.S. Dollar"

	gen BankLoan=1 if NonBankLoan==0
	
	gen Total=1
	
*	keep if DollarLoan==1
	
	keep if Firm_TotalAssets!=.
	
	
	*collapse (sum) L_TermLoan L_RevolvingLoan L_TermLoan_B  L_TermLoan_A LeveragedLoan InvestmentGrade Total, by( NonBankLoan)
	collapse (sum) L_TermLoan L_RevolvingLoan LeveragedLoan InvestmentGrade Total, by( NonBankLoan)
	
		
		set obs 3
		
		* Need to hand sum the columns to get totals for the share computation below
		replace L_TermLoan= 14118 in 3
		replace L_RevolvingLoan= 21504 in 3
		*replace L_TermLoan_B=4225 in 3
		*replace L_TermLoan_A=19772 in 3
		replace LeveragedLoan=18235 in 3
		replace InvestmentGrade=12577 in 3
		replace Total=35622 in 3
		


		
		 xpose, clear varname

		gen NonDL=100*v1/v3
		gen DL=100*v2/v3
		rename v3 Count
		
		drop if v1==0

		

		gen Grid=1 if _varname=="Total"
		replace Grid=2 if _varname=="L_TermLoan" 
		replace Grid=3 if _varname=="L_RevolvingLoan" 
		*replace Grid=4 if _varname=="L_TermLoan_A" 
		*replace Grid=5 if _varname=="L_TermLoan_B" 
		replace Grid=4 if _varname=="LeveragedLoan" 
		replace Grid=5 if _varname=="InvestmentGrade" 


		gsort Grid
		drop Grid

			mkmat Count DL NonDL, mat(auto)

		esttab matrix(auto, fmt(0 1 1)) using Dataset_LoanTabulation.tex, ///
	   eqlabels(none) title("")  fragment  alignment(S) ///
	   varlabels(r1 "Grand total" r2 "Term loan" r3 "Credit line" /// 
	   r4 "Leveraged loan" r5 "Investment grade loan") replace
	   *r4 "Bank loan" r5 "Institutional loan" r6 "Leveraged loan" r7 "Investment grade loan") replace
	  


